<?php 
ob_start();
if(!defined('IN_GS')){ die('you cannot load this page directly.'); }
/****************************************************
*
* @File:      header.inc.php
* @Package:   GetSimple
* @Action:    Bootstrap3 for GetSimple CMS
*
*****************************************************/
//$LANG = check_language();
global $language;
//echo "<br>Language: ".$language;
check_language();

check_data_theme();

?>
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php if (function_exists('get_seo')) { ?>
	<meta name="description" content="<?php get_seo('SDESC'); ?>">
<?php } else { ?>
	<meta name="description" content="<?php get_page_meta_desc(); ?>">
<?php } ?>
    <meta name="author" content="<?php get_site_name(); ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title><?php get_page_clean_title(); ?> - <?php get_site_name(); ?></title>

    <!-- Bootstrap core CSS -->
	<link href="<?php get_theme_url(); ?>/css/font-awesome.min.css" rel="stylesheet">
<?php
if (function_exists('return_theme_setting')) {
	if(return_theme_setting('bootstrap')==1) {
?>
    <link href="<?php get_theme_url(); ?>/css/bootstrap.min.css" rel="stylesheet">
	<link href="<?php get_theme_url(); ?>/css/bootstrap-slider.min.css" rel="stylesheet">
<?php }
	if(return_theme_setting('carousel')==1 || return_theme_setting('anim_menu')==1) {
?>
	<link href="<?php get_theme_url(); ?>/css/animate.min.css" rel="stylesheet">
<?php }
	if(return_theme_setting('prettyphoto')==1) {
?>
	<link href="<?php get_theme_url(); ?>/css/prettyPhoto.css" rel="stylesheet">
<?php 
	}
}
else { 
?>
<link href="<?php get_theme_url(); ?>/css/bootstrap.min.css" rel="stylesheet">
<link href="<?php get_theme_url(); ?>/css/animate.min.css" rel="stylesheet">
<?php }
if (function_exists('basket_logic')) { ?>
	<link href="<?php get_theme_url(); ?>/css/gs-shop.css" rel="stylesheet">
<?php } ?>
<?php if (function_exists('return_theme_setting')) {
	if(return_theme_setting('jquery')==1 && return_theme_setting('jquery_header')==1) { ?>
    <script src="<?php get_theme_url(); ?>/js/jquery-1.11.3.min.js"></script>
	
<?php } } ?>

    <!-- Custom styles for this template -->
  <?php // Fallback: use the configurable LESS sheet only, if plugins Less and Theme Settings are available ?>
  <?php if (function_exists('get_less_css') && function_exists('return_theme_settings')) { ?>
	<link rel="stylesheet" type="text/css" href="<?php get_less_css('css/default.less', return_theme_settings('default')); ?>" />
  <?php } else { ?>
    <link rel="stylesheet" type="text/css" href="<?php get_theme_url(); ?>/css/default.css" />
  <?php } ?>
	<link href="<?php get_theme_url(); ?>/css/responsive.css" rel="stylesheet">
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="<?php get_theme_url(); ?>/js/html5shiv.js"></script>
      <script src="<?php get_theme_url(); ?>/js/respond.min.js"></script>
    <![endif]-->

	<link rel="shortcut icon" href="<?php get_theme_url(); ?>/images/ico/apple-touch-icon-114-precomposed.png">
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?php get_theme_url(); ?>/images/ico/apple-touch-icon-144-precomposed.png">
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php get_theme_url(); ?>/images/ico/apple-touch-icon-114-precomposed.png">
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php get_theme_url(); ?>/images/ico/apple-touch-icon-72-precomposed.png">
	<link rel="apple-touch-icon-precomposed" href="<?php get_theme_url(); ?>/images/ico/apple-touch-icon-57-precomposed.png">
	

<?php	if(return_theme_setting('gmaps')==1 && return_page_slug()=='contact') { ?>
<script src="https://maps.googleapis.com/maps/api/js"></script>
<script>
function initialize() {
    var latitude = "<?php echo return_theme_setting('map-lat');?>";
	var longitude = "<?php echo return_theme_setting('map-lot');?>";
	var markers = "<?php echo return_theme_setting('map-marker');?>";
	var zooms = "<?php echo return_theme_setting('map-zoom');?>";
	var mapCanvas = document.getElementById('map');
	var myLatLng = new google.maps.LatLng(latitude, longitude);
	var mapOptions = {
		center: myLatLng,
		zoom: Number(zooms),
		zoomControl: true,
		zoomControlOptions: {
			style: google.maps.ZoomControlStyle.DEFAULT,
		},
		disableDoubleClickZoom: true,
		mapTypeControl: true,
		mapTypeControlOptions: {
			style: google.maps.MapTypeControlStyle.DROPDOWN_MENU,
		},
		scaleControl: true,
		scrollwheel: true,
		streetViewControl: true,
		draggable : true,
		overviewMapControl: true,
		overviewMapControlOptions: {
			opened: true,
		},
	}
	var map = new google.maps.Map(mapCanvas, mapOptions)
	var marker = new google.maps.Marker({
		position: myLatLng,
		map: map,
		title: markers
	});
	marker.setMap(map);
}
google.maps.event.addDomListener(window, 'load', initialize);

</script>
<?php } 
if(return_theme_setting('search_live')==1) {
	$lang_array = 'false';
	if(function_exists('return_i18n_available_languages') && count(return_i18n_available_languages() > 1)) $lang_array = 'true';
?>
<script>
function showResult(str) {
	if (str.length == 0) {
		document.getElementById("livesearch").innerHTML = "";
		document.getElementById("livesearch").style.visibility = "hidden";
		document.getElementById("keyword-clear").style.display = "none";
		return;
	}
	if (window.XMLHttpRequest) {
		xmlhttp = new XMLHttpRequest();
	} else {
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200 && str.length > 2) {
			document.getElementById("livesearch").innerHTML = xmlhttp.responseText;
			document.getElementById("livesearch").style.visibility = "visible";
			document.getElementById("keyword-clear").style.display = "inline-block";
		}
	}
	var search_path = "<?php echo get_theme_url()."/inc/";?>";
	var search_meta = "<?php echo return_theme_setting('search_meta');?>";
	var is_blank = "<?php echo return_theme_setting('search_blank');?>";
	var language = "<?php echo $language;?>";
	var multi = "<?php echo $lang_array;?>";
	var logic = "<?php echo return_setting('search_logic');?>";
	var use_meta;
	if(search_meta) use_meta = true;
	else use_meta = false;
	var target;
	if(is_blank) target = "_blank";
	else  target = "_self";
	xmlhttp.open("GET",search_path + "livesearch.php?q="+str+"&use_meta="+use_meta+"&is_blank="+target+"&lang="+language+"&multilang="+multi+"&logic="+logic,true);
	xmlhttp.send();
}
function clearKeywords() {
	document.getElementById("search-input").value = "";
	document.getElementById("livesearch").innerHTML = "";
	document.getElementById("livesearch").style.visibility = "hidden";
	document.getElementById("keyword-clear").style.display = "none";
}
</script>
<?php } ?>
	
    <?php get_header(); ?>
</head>
  <body id="<?php get_page_slug(); ?>">
	<header id="header">
		<div class="top-bar" tabindex='1'>
            <div class="container">
                <div class="row">
                    <div class="col-sm-6 col-xs-4">
                        <?php if (function_exists('get_theme_setting')) { ?>
							<div class="top-number widesec"><p><i class="fa fa-phone-square"></i>
								<span class="fa-phone-number">
									<?php get_theme_setting('phone'); ?>
								</span></p>
							</div>
						<?php } ?>
                    </div>
                    <div class="col-sm-6 col-xs-8">
                       <div class="social">
                            <ul class="social-share">
						<?php if (!function_exists('get_theme_setting')) { ?>
                                <li><a href="https://facebook.com/asemion"><i class="fa fa-facebook"></i></a></li>
                                <li><a href="#"><i class="fa fa-twitter"></i></a></li>
                                <li><a href="#"><i class="fa fa-linkedin"></i></a></li> 
                                <li><a href="#"><i class="fa fa-dribbble"></i></a></li>
                                <li><a href="#"><i class="fa fa-skype"></i></a></li>
								<li><a href="#"><i class="fa fa-google-plus"></i></a></li>
						<?php }
						else { 
								if(return_theme_setting('facebook')) { 
									if(strlen(return_theme_setting('facebook'))>6 || return_theme_setting('facebook')=="#") { ?>
										<li><a href="<?php get_theme_setting('facebook'); ?>" target="_blank" title="Facebook"><i class="fa fa-facebook"></i></a></li>
							<?php	}
								}
								if(return_theme_setting('twitter')) { 
									if(strlen(return_theme_setting('twitter'))>6 || return_theme_setting('twitter')=="#") { ?>
										<li><a href="<?php get_theme_setting('twitter'); ?>" target="_blank" title="Twitter"><i class="fa fa-twitter"></i></a></li>
							<?php	}
								}
								if(return_theme_setting('linkedin')) { 
									if(strlen(return_theme_setting('linkedin'))>6 || return_theme_setting('linkedin')=="#") { ?>
										<li><a href="<?php get_theme_setting('linkedin'); ?>" target="_blank" title="Linkedin"><i class="fa fa-linkedin"></i></a></li> 
							<?php	}
								}
								if(return_theme_setting('dribbble')) { 
									if(strlen(return_theme_setting('dribbble'))>6 || return_theme_setting('dribbble')=="#") { ?>
										<li><a href="<?php get_theme_setting('dribbble'); ?>" target="_blank" title="Dribbble"><i class="fa fa-dribbble"></i></a></li>
							<?php	}
								}
								if(return_theme_setting('skype')) { 
									if(strlen(return_theme_setting('skype'))>6 || return_theme_setting('skype')=="#") { ?>
										<li><a href="<?php get_theme_setting('skype'); ?>" target="_blank" title="Skype"><i class="fa fa-skype"></i></a></li>
							<?php	}
								}
								if(return_theme_setting('google')) { 
									if(strlen(return_theme_setting('google'))>6 || return_theme_setting('google')=="#") { ?>
										<li><a href="<?php get_theme_setting('google'); ?>" target="_blank" title="Google+"><i class="fa fa-google-plus"></i></a></li>
							<?php	}
								}
								if(return_theme_setting('kontakte')) { 
									if(strlen(return_theme_setting('kontakte'))>6 || return_theme_setting('kontakte')=="#") { ?>
										<li><a href="<?php get_theme_setting('kontakte'); ?>" target="_blank" title="VKontakte"><i class="fa fa-vk"></i></a></li>
							<?php	}
								}
								if(return_theme_setting('instagram')) { 
									if(strlen(return_theme_setting('instagram'))>6 || return_theme_setting('instagram')=="#") { ?>
										<li><a href="<?php get_theme_setting('instagram'); ?>" target="_blank" title="Instagram"><i class="fa fa-instagram"></i></a></li>
							<?php	}
								}
							} ?>
                            </ul>
                            <div class="search">
                                <form role="form" id="search_form" action="index.php?id=search" method="post">
									<input id="search-input" type="text" class="search-form" name="keywords" autocomplete="off" placeholder="<?php echo get_lang_param('RA_SEARCH'); ?>" <?php echo return_theme_setting('search_live')==1 ? 'onkeyup="showResult(this.value)"' : '' ?> />
									<button type="button" id="keyword-clear" class="fa fa-times" onclick="clearKeywords()"></button>
									<button name="submit" type="submit" value="" class="fa fa-search" style="background: transparent;border: none;"></button>
                                </form>
                           </div>
						   <div id="livesearch"></div>
                       </div>
                    </div>
                </div>
            </div><!--/.container-->
        </div><!--/.top-bar-->

	<?php if(return_theme_setting('sticky')) { ?>
	<div id="sticky">
	<?php } ?>
    <nav class="navbar navbar-default">
	<?php if(return_theme_setting('sticky')) { ?>
		<!-- Sticky navbar Home button -->
		<div class="home-page" id="home-page-nav">
			<a href="<?php echo $SITEURL; ?>"><i class="fa fa-home"></i></a>
		</div>
	<?php } ?>
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
			<a class="navbar-brand" href="<?php get_site_url(); ?>"><?php get_site_name(); ?></a>
          </button>
		  <?php if(function_exists('return_theme_setting') && return_theme_setting('site_slogan') && return_theme_setting('logofile')) { ?>
		  <a class="navbar-brand with-logo-slogan" href="<?php get_site_url(); ?>" title="<?php get_site_name(); ?>">
		  <?php } else { ?>
		  <a class="navbar-brand" href="<?php get_site_url(); ?>" title="<?php get_site_name(); ?>">
		  <?php } ?>
		  <?php if(function_exists('return_theme_setting') && return_theme_setting('logofile')) { 
				$logo_img = return_theme_setting('logofile'); ?>
				<img src="<?php echo $logo_img; ?>" class="site-logo" >
		  <?php }
				if(function_exists('return_theme_setting') && return_theme_setting('site_slogan')) { ?>
				<h1 class="site-name-slogan"><?php get_site_name(); ?></h1>
				<h2 class="site-slogan"><?php get_theme_setting('site_slogan'); ?></h2>
		  <?php } else { 
			  get_site_name();
			  } ?>
		  </a>
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav"> <!--  If want Navbar with justified elements replace UL class below whith this  class="nav nav-pills nav-justified" -->
            <?php 
				if (function_exists('return_i18n_menu_data')) {
					i18n_navigation_bootstrap(return_page_slug(),0,99,I18N_SHOW_MENU | I18N_FILTER_LANGUAGE );
				}
				else { get_navigation_bootstrap(return_page_slug()); }
				if (function_exists('get_i18n_lang_menu')) { get_i18n_lang_menu(); } ?>
          </ul>
        </div><!--/.nav-collapse -->
		
      </div>
    </nav><!--/nav-->
	<?php if(return_theme_setting('sticky')) { ?>
	</div>  <!--/#sticky-->
	<?php } ?>

  </header><!--/header-->
<?php
	if (isset($_POST["file_download"]) && !empty($_POST["file_download"])) {
		if (isset($_POST["file_name"]) && isset($_POST["file_slug"])) {
			download_counter($_POST["file_name"], $_POST["file_slug"], true);
		}
	}
?>